using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models.Exif;

public record FileMetadataDirectory(DateTime? FileModifiedDate,
                                    string? FileName,
                                    string? FileSize)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, FileMetadataDirectorySourceGenerationContext.Default.FileMetadataDirectory);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(FileMetadataDirectory))]
public partial class FileMetadataDirectorySourceGenerationContext : JsonSerializerContext
{
}