using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models.Exif;

public record GifHeaderDirectory(string? ImageHeight,
                                 string? ImageWidth)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, GifHeaderDirectorySourceGenerationContext.Default.GifHeaderDirectory);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GifHeaderDirectory))]
public partial class GifHeaderDirectorySourceGenerationContext : JsonSerializerContext
{
}